using System;
using DevExpress.Xpo;
using DevExpress.Persistent.Base;
namespace Nuvolar.Module.BusinessObjects
{
    [DefaultClassOptions]
    [NavigationItem(false)]
    [Persistent("vv_PartnerConnectionInfoAdvance")]
    public class PCIGroupAdvance : XPLiteObject
    {
        public PCIGroupAdvance(Session session)
            : base(session)
        {
        }
        [Key(true), Persistent("Oid")]
        public Guid Oid { get; set; }
        [Persistent("CustomersFrom")]
        public CustomersFrom CustomersFrom { get; set; }
        [Persistent("Customer")]
        public Customers Customers { get; set; }
        [Persistent("PartnerType")]
        public ePartnerType PartnerType { get; set; }
        [Persistent("AmountHUF")]
        public double AmountHUF { get; set; }
        [Persistent("AmountDEV")]
        public double AmountDEV { get; set; }
        [Persistent("ConnectInfoAdvanced")]
        public string ConnectInfoAdvanced { get; set; }
    }
}
